<template>
  <div id="app">
    <header>
      <h1><strong>Anime</strong>Hub</h1>
      <form class="search-box" @submit.prevent="handleSearch">
        <input 
          type="search" 
          class="search-bar" 
          placeholder="Search for Anime"
          required
          v-model="query"
        />
      </form>
      
    </header>
    <main>
      <div class="cards">
        <Card 
          v-for="anime in animeList" 
          :key="anime.mal_id"
          :anime='anime'
        />
      </div>
    </main>
    
  </div>
</template>

<script>
import {ref} from "vue";
import Card from "./components/Card";
export default {
  setup() {
    const query=ref("");
    const animeList=ref([]);
    const handleSearch=async () =>{
      animeList.value = await fetch(`https://api.jikan.moe/v3/search/anime?q=${query.value}`)
      .then(res=>res.json())
      .then(data=> data.results)
      console.log(animeList.value);
    }
    return{
      Card,
      query,
      animeList,
      handleSearch
    }
  },
  components:{
    Card
  }
  
}
</script>

<style lang="scss">
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap');
*{
  margin: 0;
  padding:0;
  box-sizing:border-box;

  font-family: 'Poppins', sans-serif;
}
body{
  background-color: #313131;
}
a{
  text-decoration: none;
}
header{
  width: 100vw;
  padding: 30px 0 30px;
  h1{
    font-size: 40px;
    color: rgb(255, 170, 11);
    font-weight:400;
    text-align: center;
    transition: .4s;
    margin-bottom: 30px;

    strong{
      color: rgb(255, 255, 255);
    }
    &:hover{
      color: #fff;
      strong{
        color:rgb(255, 170, 11);
      }
    }
  }
  .search-box{
    display: flex;
    justify-content: center;
    padding-right: 30px;
    padding-left: 30px;
    .search-bar{
      appearance: none;
      background: none;
      outline: none;
      border: none;
      background-color: #F3f3f3;
      width: 100%;
      max-width: 600px;
      padding: 15px;
      border-radius: 10px;
      color: #313131;
      box-shadow: 0px 4px 8px rgba(0,0,0,0.15);
      
      &::placeholder{
        color: #aaa;
      }
      &:focus,
      &:valid{
        background-color: #333;
        color: #F3f3f3;
      }
    }
  }
  
}
main{
  max-width: 1200px;
  margin: 0 auto;
  padding-left: 30px;
  padding-right: 30px;

  .cards{
    display: flex;
    flex-wrap: wrap;
    margin:0 -8px;
  }
}
</style>